# gerrit sequence set

version v3.4.4

## NAME

gerrit sequence set - Set new sequence value.

## SYNOPSIS

    ssh -p <port> <host> gerrit sequence set <NAME> <VALUE>

## DESCRIPTION

Gerrit maintains the generation of the next available sequence numbers for account, group and change entities. The sequences are stored as UTF-8 text in a blob pointed to by the `refs/sequences/accounts`, `refs/sequences/groups` and `refs/sequences/changes` refs. Those refs are stored in `All-Users` and `All-Projects` git repositories correspondingly.

This command allows to set a new sequence value for those sequences.

The sequence-show command displays current sequence value.

## ACCESS

Caller must be a member of the privileged 'Administrators' group.

## SCRIPTING

This command is intended to be used in scripts.

## OPTIONS

<NAME>

  Sequence name to set a new value for. Currently supported values:

  - accounts

  - groups

  - changes

<VALUE>

  New value for the sequence.

## EXAMPLES

Set a new value for the 'changes' sequence:

    $ ssh -p 29418 review.example.com gerrit sequence set changes 42
    The value for the changes sequence was set to 42.

Part of Gerrit Code Review